DesktopPlus Help (Main)

www.desktopplus.com

DesktopPlus v2.6 Help

Welcome to online help for DesktopPlus v2.6

  • DesktopPlus is a Virtual Desktop Manager for Windows 95, 98, ME, NT, 2000 and XP.

  • DesktopPlus enables you to split your Desktop up into up to 9 virtual desktops.

  • Each Desktop can have its own:

    • Applications (windows)

    • Background

    • Desktop Icons

    • Screen settings

    • Password

  • You can switch between desktops using:

    • User-definable hotkeys (e.g. CTRL-1 for Desktop 1, CTRL-2 for Desktop 2, etc.)

    • Icons in the tray area (optional)

    • Tray icon context menu

    • Pager control

  • You can move or copy applications and their windows from desktop to desktop using:

    • User definable hotkeys (e.g. CTRL-SHIFT-1 to move the active window to desktop 1)

    • The Arrange dialog (activated by clicking on the tray icon or using the user-definable hotkey, default ALT-A)

    • You can also move or copy your Desktop Icons from desktop to desktop using the Window Menu Extension, which is accessible by right clicking any windows' title bar.

  • You can use the AutoStartup feature of DesktopPlus to automatically start applications on particular desktops.

  • You can have DesktopPlus automatically execute scripts when entering or leaving a Virtual Desktop

Copyright © 2002-2004, ACS


FAQ (Frequently Asked Questions)

FAQ for DesktopPlus v2.01

Questions

  1. How do I remove the toolbar/tray icons?
    How do I change the number of desktops?

  2. Why do my Explorer windows keep disappearing?
  3. Why do my Internet Explorer windows keep disappearing?
  4. Why do my icon positions get messed up?

  5. Why isn't my question on this list??

Answers

  1. How do I remove the toolbar/tray icons?
    How do I change the number of desktops?

    You can change these kind of options from the Options dialog. You can invoke the Options dialog either from the DesktopPlus tray icon (right-click, select Options) or from the Arrange dialog (ALT-A to invoke Arrange, select Options from the View menu)

  2. Why do my Explorer windows keep disappearing?

    It is an unfortunate feature of Explorer that it attempts to "recycle" hidden windows. Explorer will automatically attempt to re-use any hidden instance whenever it needs to open a new window. This means that an Explorer you have on another desktop will be removed.

    Workaround:     Select Tools->Folder Options in Explorer. On the View tab, in the Advanced Settings window, select "Launch folder windows in a separate process".

    Starting with v2.01, Setup will automatically prompt for permission to change this option.

  3. Why do my Internet Explorer windows keep disappearing?

    In the same way as Explorer does, Internet Explorer also attempt to recycle hidden windows. Whenever you try to start a new Internet Explorer instance via a shortcut to a web site, Internet Explorer will "reuse" any hidden instance it finds.

    Workaround:     Select Tools->Internet Options in Internet Explorer. In the Advanced tab, de-select "Reuse windows for launching shortcuts". Unfortunately this workaround does not solve the problem of popup windows, which also "reuse" hidden windows. There is no workaround for this problem.

    Starting with v2.01, Setup will automatically prompt for permission to change this option.

  4. Why do my icon positions get messed up?

    DesktopPlus goes to a great deal of trouble to ensure that your icon positions are correctly maintained across all your Virtual Desktops. Unfortunately, however, it is actually Explorer that is responsible for displaying your icons and it may, under certain circumstances, override your Virtual Desktop icon layout.

    Workaround:     Starting with v2.01, it is possible to work around this problem on operating systems other than Windows 95. DesktopPlus provides a menu option on the Desktop context menu to commit and restore the current position layout. Invoke the menu by right-clicking an empty area of your Windows Desktop and select DesktopPlus. The option "Commit Icon Positions", forces DesktopPlus to remember the current layout and the option "Restore Icon Positions" can be used to re-call the last committed layout in the unlikely event that your layout is lost.

    If you continually experience this kind of problem, please contact support and help us to diagnose and solve the problem.

    Note:     Icon positioning problems can also be related to the Desktop icon arrangement properties (Auto Arrange and Align to Grid). Starting from v2.01, DesktopPlus will automatically check these settings and prompt to change them if necessary.

  5. Why isn't my question on this list??

    If you didn't get an answer to your question, please send it to support@desktopplus.com. It will be added to the FAQ if appropriate.


DesktopPlus Requirements

www.desktopplus.com

System Requirements

Operating system

DesktopPlus is compatible with the following operating systems:

  • Windows 95 with Internet Explorer 4

  • Windows 98

  • Windows ME

  • Windows NT 4 with Internet Explorer 4

  • Windows 2000

  • Windows XP

  • Windows Server 2003

Note that on Windows 95 and Windows NT 4, DesktopPlus requires that Internet Explorer v4 is installed. This is to allow advanced features such as the Windows Desktop context menu and the pager control.

CPU

DesktopPlus remains idle throughout normal activity and mainly only uses CPU resources whilst switching between Virtual Desktops. Even then, the time taken to switch between desktops is dependant on the reaction time of the applications which own the windows on each desktop, rather than DesktopPlus itself.

DesktopPlus is equally as responsive on both low-end systems (~230Mhz) and high-end systems (3Ghz+).

RAM

There are no specific RAM requirements for any of the supported operating systems. However, it should be noted that when using a Virtual Desktop Manager, there is a tendency to have more windows open than usual and this may require more RAM. The amount of RAM should therefore be adjusted to suit the specific applications that will be running together with DesktopPlus.

Disk

A DesktopPlus installation requires 4Mb of disk space.


Switching between Desktops

There are many ways to Switch between Virtual Desktops:

    • Using the toolbar or tray icons

    • Using the Pager Control

    • Using the context menu

    • Using hotkeys

    • Using the Arrange Dialog

Using the toolbar or tray icons

NOTE: The toolbar and tray icon controls can be enabled and disabled as described in the Toolbar/Tray Controls tab of the Options Dialog.

Simply click on the button representing the Virtual Desktop you want to switch to.

The toolbar

The tray controls

When in compact mode, click the arrows on the toolbar or tray icons to switch up and down between Virtual Desktops.

The toolbar (compact mode)

The tray controls (compact mode)

Using the Pager Control

The Pager Control is a TaskBar Toolbar, for more details see Pager.

To switch to a desktop using the Pager Control, simply click on the Desktops thumbnail.

Using the context menu

Clicking the DesktopPlus tray icon with the right mouse button, causes the context menu to appear, from which the Switch to menu can be used to switch to another Virtual Desktop.

The context menu

Using Hotkeys

Each Virtual Desktops has the option to specify Hotkeys for switching to it. By default, CTRL-1 (hold down CTRL and, whilst holding down CTRL, press 1) is used for Desktop 1, CTRL-2 for Desktop 2, CTRL-3 for Desktop 3 and so on.

Using the Arrange Dialog

It is also possible to switch between Virtual Desktops from the Arrange Dialog.


Moving and copying Windows between Desktops

There are several different ways of moving Windows between Virtual Desktops. These are listed below:

  • By using the Arrange Dialog. You can drag windows between Virtual Desktops in the tree view of the Arrange Dialog.

  • By using hotkeys (hotkeys are combinations of keys such as CTRL-SHIFT-1 [Hold down CTRL and SHIFT and whilst holding these keys down, press 1]). Hotkeys for moving and copying the current window can be defined for each Desktop from the Options Dialog.

  • By using the Window Menu Extension.

Additionally, an application can be started and the resultant Windows automatically moved to a particular Desktop when DesktopPlus starts. This is referred to as "AutoStartup" and is discussed in AutoStartup.


Configuring DesktopPlus

DesktopPlus configuration is divided into:

  • General configuration, (accessed through the Options Dialog)

    • Number of Desktops

    • Enabling and Disabling features

    • Switching controls (Pager, Toolbar, Tray icons)

    • Hotkey combinations

    • Miscellaneous options (see the Options Dialog for more details)

    • Virtual Desktop configuration

      • Icon

      • Title

      • Hotkeys

      • Password protection

      • Toggling of Windows Desktop and TaskBar


Options Dialog

  • Invoking the Options Dialog

  • Using the Options Dialog

Invoking the Options Dialog

The Options Dialog can be invoked in one of two ways:

  1. From the Tray Icons

    2. Click any DesktopPlus Tray Icon with the right mouse button and select Options... from the Context Menu, as shown below:

    Invoking the Options Dialog from a Tray Icon

  2. From the Arrange Dialog

From the menubar select View. Select Options... from the menu, as illustrated below:

Invoking the Options Dialog from the Arrange Dialog

Using the Options Dialog

The Options Dialog is divided up into a number of branches as can be seen below:

The Options Dialog

    • General

    • Virtual Desktops

    • Controls

    • Hotkeys

    • Advanced

General Options

Expanding the General branch, reveals the following options:

General Options

Show DesktopPlus QuickConfig at startup

When checked, this option causes DesktopPlus to show the QuickConfig dialog, when it is first started. The QuickConfig dialog is shown below:

QuickConfig Dialog

The QuickConfig Dialog allows quick access to the Options Dialog and Registration features and is designed to allow DesktopPlus to be easily configured for new users.

NOTE: The QuickConfig Dialog will always appear at startup whilst DesktopPlus is unregistered. Disabling the QuickConfig Dialog from the Options Dialog has no affect whilst the program is unregistered.

Enable Window Menu Extension

Allows the Window Menu Extension to be enabled or disabled.

Show Switch Desktop Progress

The Switch Desktop Progress window, shows what DesktopPlus is doing as it switches from one Virtual Desktop to another. Choosing "Always" causes the window to be shown each time DesktopPlus switches between Virtual Desktops. The window will automatically be hidden, when switching is complete.

When this option is set to "Only when an error occurs", the window remains hidden unless an error (such as when DesktopPlus cannot hide or show an unresponsive window) occurs.

Include Multiple Monitors

When this option is enabled, DesktopPlus will include any windows on secondary displays as part of the Virtual Desktop, showing and hiding them together with windows on the primary display. When the option is disabled, any windows on secondary displays will always remain there and will be ignored by DesktopPlus.

Show AutoStartup Monitor

When this option is enabled, DesktopPlus will display a dialog detailing the progress of AutoStartup applications. If no AutoStartup applications are present, the dialog will not be shown. If this option is disabled, the dialog will be displayed only if an error occurs.

Virtual Desktops

Virtual Desktop Options

As the figure shows, this branch contains general options for all Virtual Desktops as well as options for each specific Virtual Desktop.

Each Desktop has it's own set of icons

When this option is enabled, DesktopPlus will maintain a set of icons for each Virtual Desktop.

Each Desktop has it's own wallpaper

When this option is enabled, DesktopPlus will maintain a separate wallpaper for each Virtual Desktop.

Each Desktop has it's own resolution and colour depth

When this option is enabled, DesktopPlus will maintain a separate resolution, colour depth and monitor frequency for each Virtual Desktop.

Desktop Options

For each Virtual Desktop, the following options can be set:

Name

This is the textual name that is displayed in the Arrange Dialog and various menus in DesktopPlus.

Icon

This is the icon that is displayed in the task bar when the Virtual Desktop is active and which is displayed in the Arrange Dialog. To change the icon, click on the icon field and choose the icon from the icon selection dialog. Any file containing icons can used as a source for the icon. Choose a different icon file by using the "Browse" button.

Icon Selection Dialog

Password

When this field is set, the password must be entered before the Virtual Desktop can be activated. A key symbol on the taskbar icon and padlock symbol in the pager illustrate this (note that the padlock symbol is replaced by the desktop's thumbnail when the desktop is active).

Password-protected desktops are shown with a padlock or key symbol

Require password on exit

When this option is checked, the password must also be entered before any other desktop can be activated. In this way, the user is said to be locked into the desktop. Other desktop images in the pager control are invisible and marked with a padlock symbol, when the current desktop has this restriction.

Show Taskbar

When this option is unchecked, DesktopPlus will not display the Windows Taskbar on the Virtual Desktop.

Show Desktop

When this option is unchecked, DesktopPlus will not display the Windows Desktop on the Virtual Desktop.

Switch Hotkey

This is the Hotkey combination used to activate the Virtual Desktop. To change the Hotkey, click in the field and press the desired hotkey combination. To disable a hotkey, click in the field and use the backspace key to remove the Hotkey.

Move Hotkey

This is the Hotkey combination used to move the current window to the Virtual Desktop. When the Hotkey combination is activated, the currently active window will be moved to the Virtual Desktop. To change the Hotkey, click in the field and press the desired hotkey combination. To disable a hotkey, click in the field and use the backspace key to remove the Hotkey.

Copy Hotkey

This is the Hotkey combination used to copy the current window to the Virtual Desktop. When the Hotkey combination is activated, the currently active window will be copied to the Virtual Desktop. To change the Hotkey, click in the field and press the desired hotkey combination. To disable a hotkey, click in the field and use the backspace key to remove the Hotkey.

OnEntering Script

The specified command or script will be executed when DesktopPlus starts switching to the Virtual Desktop, after the previous Virtual Desktop has been completely hidden. Any valid Windows command or executable can be entered in the script field.

OnEnter Script

The specified command or script will be executed when DesktopPlus has completed switching to the Virtual Desktop. Any valid Windows command or executable can be entered in the script field.

OnExitting Script

The specified command or script will be executed when DesktopPlus starts leaving the Virtual Desktop as part of the process of switching to another Virtual Desktop. Any valid Windows command or executable can be entered in the script field.

OnExit Script

The specified command or script will be executed when DesktopPlus has completely hidden the Virtual Desktop as part of the process of switching to another Virtual Desktop. Any valid Windows command or executable can be entered in the script field.

Controls Options

The Controls branch contains options to configure the various control options that DesktopPlus provides. The Controls branch is shown below:

The Controls branch

Compact Controls

This option controls what kind of control method is used in the DesktopPlus toolbar and tray controls. When this options is enabled, three buttons/icons are displayed; the middle button or icon shows which Virtual Desktop is currently active and the two remaining buttons/icons are used to move to the next or previous Virtual Desktop.

Toolbar with Compact controls

Tray controls, compact

Wrap-around when using Next/Preceeding

When this option is enabled, DesktopPlus will move from the last Virtual Desktop to the first Virtual Desktop when the Next Desktop hotkey is used or when the right arrow compact control is used. For example, if DesktopPlus is currently configured for the default of 5 Virtual Desktops and Desktop 5 is currently active, when the right-arrow in the compact toolbar is clicked, DesktopPlus will switch to Desktop 1, "wrapping around" from 5 to 1. The same applies when switching from Desktop 1 and using the left-arrow or Preceeding Desktop Hotkey.

When this option is disabled, DesktopPlus will not wrap-around between Virtual Desktops.

Show Pager control

Unfortunately, due to limitations in Windows, it is not possible for DesktopPlus to automatically show or hide the Pager. Instead it must be manually enabled, using the Taskbar context menu. See the Pager documentation for more details.

Enable Tray Controls

When this option is enabled, DesktopPlus will add extra icons to the tray notification area (the area at the end of the Windows Taskbar where icons and the clock are normally displayed). The extra icons can be used to switch between Virtual Desktops. The number of icons displayed depends on whether or not Compact controls is enabled.

The tray controls

The tray controls, in compact mode

Show the toolbar

This option controls whether or not the DesktopPlus toolbar is visible.

The toolbar

Show toolbar text

When enabled, DesktopPlus includes the name of each Virtual Desktop near each icon on the toolbar. When disabled, the text is not displayed and the toolbar becomes much more compact.

The toolbar, without text

Fix toolbar position on all desktops

When this option is enabled, the toolbar will be placed at the same position on each Virtual Desktop. When disabled, DesktopPlus remembers and maintains the toolbar's last position on each Virtual Desktop.

Always on top

When this option is enabled, DesktopPlus ensures that the toolbar is always disaplayed any other windows.

Show titlebar

This option makes it possible to remove the title on the toolbar, making it even more compact.

The toolbar, without the titlebar

Make toolbar transparent

On Windows 2000 and above, this option makes the toolbar transparent, such that any underlying window remains visible.

The toolbar, with transparency enabled

Hotkey Options

This branch of the options dialog contains general hotkeys (note however, that hotkeys for switching to specific desktops and moving and copying windows can be found under the Virtual Desktops branch).

As is the case with all DesktopPlus Hotkeys, these hotkeys can be disabled by clicking in the appropriate field and erasing its contents with the backspace key.

Launch Arrange Window

When invoked, this hotkey combination cause the Arrange Dialog to be opened.

Switch to Next Desktop

This hotkey causes DesktopPlus to switch to the next desktop when invoked. For example, if Virtual Desktop 4 is currently active, invoking this hotkey will cause DesktopPlus to switch to Desktop 5. See also the wrap-around option.

Switch to Preceding Desktop

This hotkey causes DesktopPlus to switch to the preceding desktop when invoked. For example, if Virtual Desktop 4 is currently active, invoking this hotkey will cause DesktopPlus to switch to Desktop 3. See also the wrap-around option.

Roll current window up/down

When this hotkey is invoked it causes the currently active window to be rolled up or down (if the window is already rolled up, it will be rolled down, and vice versa). Rolling a window up, causes it to be reduced to the size of its titlebar.

A Rolled Up window

Invoke the Window Extension

This hotkey causes the Window Extension to be activated for the current window. For more details, consult the Window Extension documentation.

Advanced Options

The Advanced branch of the Options Dialog contains options which normally should not be used but which in certain circumstances can improve DesktopPlus' operation on particular configurations.

Advanced Options

Keep child windows with their parents

When this option is enabled, DesktopPlus will attempt to keep popup windows with their owning windows. For example, if a window is on an inactive Virtual Desktop and that window generates a popup or child window, DesktopPlus will move the window from the current desktop (where it will automatically appear) onto the desktop where its parent is located.

Maintain focus for each desktop

This option causes DesktopPlus to keep track of which window has the input focus on each Virtual Desktop and makes it attempt to give that window focus, each time the corresponding Virtual Desktop is activated. In certain circumstances this can be undesirable and it can also incur a slight delay for windows which are particularly slow at activating themselves.

Windows timeout

This is the amount of time DesktopPlus waits before determining that a window is unresponsive. This is typically used when DesktopPlus is switching desktops. On systems with lots of slow but responsive windows, it may be necessary to increase this timeout in order to stop DesktopPlus reporting errors when switching between Virtual Desktops.

Explorer timeout

This timeout is used in connection with Icon Positioning. On systems where explorer is particularly slow, it may be beneficial to increase this timeout.

AutoStartup timeout

This is the amount of time after which DesktopPlus deems an application idle during AutoStartup. An application must generate at least one window before this timeout expires. DesktopPlus will reset the timeout each time a window is generated by an application. In situations where DesktopPlus never finds any window for an AutoStartup application that is particularly slow, it may be possible to solve the problem by increasing this timeout.

Log level

This value should only be altered by the request of DesktopPlus support staff. Please note that setting this value above 0 can negatively affect the performance of your system.

Log file

This is the log file to which DesktopPlus writes logging information.


Desktop Icons

NOTE: Desktop Icons will only be saved if the feature is enabled (in the Options Dialog)

  • What is the Desktop Icons feature?

  • Configuring Desktop Icons

    • Moving and Copying Desktop Icons between Virtual Desktops

    • Global Icons

    • Committing and restoring Icon Positions

  • Troubleshooting

What is the Desktop Icons feature?

Desktop Icons is a feature of DesktopPlus which allows each Virtual Desktop to have its own separate set of icons. Additionally all Virtual Desktops can share icons through the Global Desktop Icons folder in the Arrange Dialog.

Configuring Desktop Icons

NOTE: The Desktop Icons feature can be enabled and disabled from the Desktop tab of the Options Dialog. When the feature is disabled, the Desktop Icon folders do not appear in the Arrange Dialog.

Moving and Copying Desktop Icons between Virtual Desktops

Icons can be moved to a particular Virtual Desktop, so that they are only present on that Desktop, or copied so that they exist on multiple desktops.

To move an icon to another Desktop in the Arrange Dialog:

    1. Locate the icon to be moved in the Desktops Desktop Icons folder. Using the mouse, drag the icon with the left mouse button to the Desktop where the icon is to be moved.

    2. Click on the icon to be moved with the left mouse button. Select from the Window/Icon menu in the menubar, click Move to Desktop. Select the Desktop to move the icon to from the sub menu.

    3. Click on the icon to be moved with the right mouse button. From the context menu, select Move to Desktop. From the sub menu, select which Desktop the icon should be moved to.

TIP: After having dragged an item using the right mouse button, a context menu will be displayed, through which the type of operation (i.e. Move or Copy) can be selected. This is often a more convenient way of dragging items, as it does not involve the keyboard at all.

To move an icon using the Desktop context menu:

Right-click the icon on the Desktop that you want to move. From the context menu select DesktopPlus->Move to Desktop. From the sub-menu choose the Desktop to which you want to move the icon.

Copying icons is the same process as moving, selecting the appropriate menu option. When dragging, press and hold down the Control key to copy icons.

Global Icons

It is possible to share Desktop Icons amongst multiple Virtual Desktops by using the Global Desktop. Icons which are moved to the Global Desktop will appear on all Virtual Desktops. The positions of Global Desktop Icons are saved individually for each Virtual Desktop.

To move an icon to the Global Desktop simply place it in the Desktop Icons folder of the Global Desktop in the Arrange Dialog, using one of the methods described above. When an item is moved to the Global Desktop, it is automatically removed from the Desktop Icons folder of all other Desktops in the Arrange Dialog.

To remove an icon from the Global Desktop, simply place it in the Desktop Icons folder of one of the other Virtual Desktops. The icon will be automatically removed from all other Virtual Desktops.

Committing and restoring Icon Positions

Troubleshooting

The Desktop Icons feature will not work on Windows XP if the Align to Grid option of the Windows Desktop is enabled. To disable this option, click on the Windows Desktop with the right mouse button, and select Arrange Icons By from the context menu. On the sub menu, ensure that Align to Grid is not checked.


Virtual Desktops

DesktopPlus allows you to divide your desktop into up to 9 virtual desktops (the number of desktops is configured in the Options Dialog). Each virtual desktop can have its own Windows (Applications), Icons, Background and Resolution.

Configuring a Virtual Desktop

Each virtual desktop can be configured individually through its corresponding branch in the Options Dialog, which is shown below.

Virtual Desktop 1's branch in the Options Dialog

  • Invoking the Options Dialog for a specific desktop

  • Configuring the Desktops icon

  • Naming the Desktop

  • Specifying a hotkey for switching to the Desktop

  • Specifying hotkeys for moving and copying windows to a Desktop

  • Specifying whether the TaskBar and Windows Desktop should be shown on the Virtual Desktop

  • Setting the Desktops background and resolution

Invoking the Options Dialog for a specific desktop

The Options Dialog and the branch corresponding to a particular Desktop can be invoked in three ways

  1. From the Tray Icons

    Click the Desktops Icon in the Tray area with the right mouse button. This displays the context menu. From the context menu choose the Desktop X Properties (where X will be the number of the Desktop you right-clicked). This is illustrated below.

    Invoking the Options Dialog from a Tray Icon

  2. From the Arrange Dialog

    Click the Desktops Icon in the Arrange Dialog with the right mouse button and select Properties from the context menu.

    Invoking the Options Dialog from the context menu in the Arrange Dialog

    Alternatively, click the Virtual Desktops Icon in the Arrange Dialog with the left mouse button and select Properties from the Desktop menu in the menubar at the top of the window.

    Invoking the Options Dialog from the menubar in the Arrange Dialog

  3. From the Toolbar

    Click on a Virtual Desktop on the Toolbar with the right mouse button to invoke the context menu. From the context menu, select Desktop X Properties (where X is the Desktop which was right-clicked).

    Invoking the Options Dialog from the context menu on the Toolbar

Configuring the Desktop Icon

Each Virtual Desktop can have its own icon. The icon is displayed in the Arrange Dialog and as a Tray Icon.

To set the Desktops icon, click the Icon field in the Options Dialog this will bring up a window from which it is possible to browse for files containing icons and choose an icon from such a file.

Naming the Desktop

Each Virtual Desktop has a title, which will be displayed in the Arrange Dialog, tooltips and the pager. The name can be changed by typing a new name in the Title field of the corresponding branch in the Options Dialog.

Specifying a hotkey for switching to the Desktop

It is possible to switch to a Virtual Desktop by using a hotkey. The hotkey can be set by pressing the desired combination in the Switch to field of the Options Dialog. To remove the hotkey simply press the Delete or Backspace key in the field.

Specifying a hotkey for moving and copying windows to a Desktop

It is possible to move and copy windows to a Virtual Desktop by using hotkeys. When the move window or copy window hotkey combination for a particular Desktop is pressed, the currently active window (the window which has the input focus) will be moved or copied to that Desktop.

To set the move or copy hotkey for a Desktop, enter it into the Move active window or Copy active window fields in the Options Dialog.

Specifying whether the TaskBar and Windows Desktop should be shown on the Virtual Desktop

It is possible to make the TaskBar (the window typically at the bottom of the screen containing the start menu, task buttons and tray area) and Windows Desktop (the window on which the icons are displayed) invisible on a Virtual Desktop. To do so, un-check the TaskBar or Desktop checkboxes in the Options Dialog.

Setting the Desktops background and resolution

To set the background or resolution of a Virtual Desktop, simply switch to that Desktop and set the background or resolution as you normally would (by using the Windows Control Panel for example). DesktopPlus will record this settings individually for each Virtual Desktop.

NOTE: Individual Virtual Desktop backgrounds and resolutions can be enabled and disabled from the Desktop tab of the Options Dialog. When the relevant option is disabled, the same background or resolution is used for all Desktops.


Arrange Dialog

The Arrange Dialog, which is depicted below, is used to arrange Desktop Icons and application windows.

The Arrange Dialog

The Arrange Dialog can be used to move or copy icons and windows between desktops by simply dragging and dropping them, or by using the menubar or context menu options. The Arrange Dialog can also provide access to the Options Dialog. The Arrange Dialog also provides access to the Global and Hidden Desktops as well as technical information relating to the currently open windows.

The menubar

The menubar, which is located at the top of the Arrange Dialog, holds the following menus:

    • File

    • View

    • Desktop

    • Window/Icon

    • Help

File menu

This menu contains a single option, "Exit", which, when invoked, causes DesktopPlus to shutdown.

View menu

Through this menu, the Options Dialog can be invoked, as described in Invoking the Options Dialog. Additionally, a refresh of the information displayed in the Arrange Dialog can be forced by selecting Refresh (or pressing F5).

Desktop menu

The Desktop menu holds options that relate specifically to a particular desktop. The Desktop menu is only active when a Virtual Desktop is selected from in the tree view. The Desktop menu can also be invoked as a context menu by clicking a Virtual Desktop in the tree view with the right mouse button.

The Desktop Menu

As can be seen in the screenshot, above, the Desktop menu offers the following options:

    • Switch to
      Switch to the selected Virtual Desktop. This option is grayed when the selected Virtual Desktop is the current Desktop, or when the Hidden or Global Desktops are selected. Other methods of switching between Virtual Desktops are described in Switching between Desktops.

    • Rename
      Rename the selected Virtual Desktop. This option is grayed when the Hidden or Global Desktops are selected. A Desktop can also be renamed from the Options Dialog.

    • Paste
      Paste a window or icon that was previously copied (see the Window/Icon menu, below). This option is grayed when no item has been copied or when the item already exists on the current Desktop. Other ways of moving icons and windows are described in Moving and Copying Icons and Windows.

    • Properties
      Invokes the Options Dialog, opening the branch for the desktop in question.

Window/Icon menu

The Window/Icon menu holds options that relate to a particular window or icon. The Window/Icon menu is only active when an icon or window is selected in the tree view. The Window/Icon menu can also be invoked as a context menu by clicking a window or icon in the tree view with the right mouse button.

The Window/Icon Menu

As the screen shot shows, the Window/Icon menu provides the following options:

    • Switch to
      Switch to the windows Desktop (if necessary) and activate the window. This option is grayed when an Icon is selected.

    • Move to Desktop
      Move the Window or Icon to another Desktop (chosen from the sub menu).

    • Copy to Desktop
      Copy the Window or Icon to another Desktop (chosen from the sub menu).

NOTE: Other ways of moving and copying Windows are described in Moving and Copying Windows between Desktops.

    • Same position on all Desktops
      Show the Icon at the same Position on all Desktops. This option is only shown when an Icon is selected.

    • Cut
      Cut the Windows or Icon so that it can be Pasted to another Desktop. When the item is pasted, it will be removed from the current Desktop.

    • Copy
      Copy the Windows or Icon so that it can be Paster to another Desktop      .

    • Paste
      Move or copy an item that was previously cut or copied. This option will be grayed if the cut or copied item is already present on the selected Desktop or if the Hidden Desktop is selected. This option will also be grayed if the item was copied and the selected desktop is the Global desktop (it is only possible to move items to the Global desktop).

    • Remove
      Remove the Icon from the selected Desktop. This option will be grayed if there are no other copies of the Icon on other Desktops (it is not possible to delete an icon from the Desktop from DesktopPlus). This option is only shown if an Icon is selected.

    • Close
      Remove the selected Window from the current Desktop and close it if this is the only copy. This option is only shown when a Window is selected.

    • Remove from all Desktops
      Remove the Window from all Virtual Desktops and close it.

Help menu

The Help menu contains the following options.

  • Help contents
    Shows this online help document.

  • About DesktopPlus
    Displays DesktopPlus version information and enables you to     register DesktopPlus.

The Global Desktop

The Global Desktop is a pseudo desktop which is used to represent all the Virtual Desktops collectively. Moving icons or windows to the Global Desktop makes them visible on all Virtual Desktops. Each window and icon maintains its own independent position on each Virtual Desktop.

The Hidden Desktop

The Hidden Desktop is a pseudo desktop which can be used to hold windows which must remain open but which are not used.

Window information

The columns on the right hand side of the Arrange Dialog contain information on each window. This technical information is mostly of use for advanced users, such as administrators or programmers. The following columns are shown:

Command Line

The command line which was used to start the process which hosts the window.

Process ID

The ID of the process which hosts the window.

Thread ID

The ID of the particular thread which spawned the window.

Window ID

The handle of the window.

Class

The Window Class assigned to the window.


Toolbar

The DesktopPlus toolbar can be used to switch between Virtual Desktops and also to invoke the Arrange Dialog and the Options Dialog. The toolbar is highly configurable, enabling it to be customised to suit its user. It can also be removed entirely, should this be desired.

The DesktopPlus toolbar

  • Showing and Hiding the Toolbar

  • Configuring the Toolbar

  • Using the Toolbar

Showing and Hiding the Toolbar

The toolbar can be removed in a number of ways:

  • From the toolbar context menu

    Select Hide Toolbar from the context menu. When the toolbar is hidden, one of the two methods described below can be used to make it visible again.

The toolbar context menu

  • From the tray icon context menu

    Click a DesktopPlus tray icon with the right mouse button to invoke the context menu. Select Show Toolbar to make the Toolbar visible, or Hide Toolbar to remove it.

The tray icon context menu

  • From the Options Dialog

    Check the Show Toolbar option to make the toolbar visible, or remove the check to remove the toolbar.

Toolbar options in the Options Dialog

Configuring the Toolbar

The toolbar can be configured by a number of options which are available from the context menu or Options Dialog (see above).

The options are as follows:

  • Show Text / Show Button Text

    By default, the buttons on the toolbar are accompanied by the text describing the function of that button. The text on the Virtual Desktop buttons (the first 5 buttons in the screenshot above), is the title of the corresponding Desktop, as defined in the Options Dialog. Un-checking this option removes the text from the toolbar, which results in the buttons becoming smaller and the overall footprint of the toolbar being smaller, as the screenshot below demonstrates:

The toolbar, with button text removed

  • Show titlebar

    The toolbars titlebar can also be removed, by un-checking the Show Titlebar option. This further reduces the size of the toolbar:

The toolbar, with button text and titlebar removed.

  • Always on top

    When this option is selected, it ensures that the toolbar is always visible over all other windows.

  • Fix layout/position (Fix position for all desktops)

    When this option is selected, the same toolbar horizontal/vertical arrangement (see below) and position is used for all Virtual Desktops. Repositioning the toolbar on one Desktop will result in that position also being used on other Desktops. When this option is unchecked, each Virtual Desktop records its own position and layout for the toolbar.

  • Transparent

    This option is only applicable to Windows 2000 and later versions of Windows. When selected, this option causes the toolbar to become transparent, so that any window beneath it will be visible.

  • Compact controls / Extended controls

    When this option is enabled, the toolbar will be reduced to a compact set of controls, consisting of a button representing the current Desktop, which provides access to the Arrange Dialog and the Desktops Options. Two arrows allow switching to the next or previous Virtual Desktop. The title of these Desktops is shown beneath the arrows. To switch back to a full compliment of buttons, select the Extended controls option from the toolbar context menu, or de-select the Compact controls checkbox in the Options Dialog.

The toolbar in compact mode

  • Layout toolbar vertically/horizontally

    This option, which is only available from the toolbars context menu, allows the orientation of the toolbar to modified such that the buttons are laid out either horizontally or vertically. The screenshot below shows the vertical orientation:

The toolbar, laid out vertically

Using the Toolbar

As can be seen above, in Extended Mode, the toolbar contains one button for each Virtual Desktop that has been configured (the number of Desktops can be configured from the Options Dialog). It also contains a button for invoking the Arrange Dialog.

In Compact Mode, the toolbar contains only three buttons; the middle button indicates the current desktop and is used to invoke the Arrange Dialog, whilst the other two buttons are used for switching up and down between Virtual Desktops.

The text beneath each button is the name of the desktop which that button corresponds to (except for the Arrange button). This name can be changed from the corresponding branch of the Options Dialog.


Pager

  • What is the Pager?

  • Show or hide the Pager

  • Using the Pager

  • Special considerations for Windows XP

What is the Pager?

The Pager

The Pager is a toolbar that can be added to the Windows TaskBar, showing a thumbnail snapshot for each Virtual Desktop. Clicking on a thumbnail in the Pager, activates the corresponding Desktop.

Using the Pager

To switch to a Desktop using the Pager, simply click on the thumbnail which represents that Desktop.

Show or hide the Pager

To show or hide the Pager, right click the Windows TaskBar and select "DesktopPlus Virtual Desktops" from the "Toolbars" sub-menu. Expanding the height of the TaskBar, increases the size of the thumbnails displayed in the Pager.

Activating the Pager

Special consideration for Windows XP

On Windows XP, by default the TaskBar is locked. When the TaskBar is locked, it is not possible to resize it. To unlock the TaskBar, right-click it and uncheck "Lock the TaskBar".


AutoStartup

  • What is AutoStartup?

  • How does it Work?

  • Configuring AutoStartup

  • Troubleshooting AutoStartup

What is AutoStartup?

AutoStartup allows you to define a set of applications which should be started on particular Virtual Desktops, when DesktopPlus starts.

How does it work?

When DesktopPlus starts, AutoStartup scans the contents of the AutoStartup folder in the DesktopPlus Start Menu group. When DesktopPlus finds shortcuts in any of the AutoStartup sub folders, it starts the associated application and begins monitoring the system. Whenever a window belonging to any of the applications is detected, it is rerouted to the specific desktop.

Configuring AutoStartup

To configure a specific application to automatically start on a particular desktop, copy a shortcut to it into the appropriate AutoStartup sub folder. For example, if you want DesktopPlus to automatically start notepad on Desktop 2, copy a shortcut to it into the DesktopPlus->AutoStartup->Desktop 2 folder.

Creating shortcuts

The shortcut you place in the AutoStartup sub folder can either be an existing shortcut or a new one you create yourself. To use an existing shortcut you will first need to locate it. Typically you will copy the shortcut out of the Start Menu. To do this open an Explorer window on the Start Menu by right-clicking the Start Menu and selecting Explore. Browse through the Start Menu hierarchy until you have found the icon. Now select Browse AutoStartup Folder from the DesktopPlus Start Menu Folder. A new Explorer window, containing the AutoStartup sub folders will appear. Hold down the Control key and drag the shortcut from the first Explorer window into the desired sub folder.

If you want to manually create a shortcut, open the AutoStartup folder as described above, then open the desired sub folder, right-click a blank part of the window and select New->Shortcut. The wizard will guide you through the process of creating a new shortcut.

TIP: Creating a new shortcut can be necessary in the case where a standard shortcut does not work correctly with AutoStartup. AutoStartup is unable to extract application information from some types of shortcut. Typical culprits in this area are the Microsoft Office 2000 and later application shortcuts, which use Windows Installer shortcuts instead of 'normal' shortcuts.

Starting Applications on the Global Desktop

You may want some of the applications you AutoStart to be automatically put in the Global Desktop, so that they appear on every Virtual Desktop in DesktopPlus. This can be achieved by use of the Global AutoStartup sub folder. Simply copy the shortcuts into the Global AutoStartup sub folder, just as you would any other AutoStartup shortcut.

Troubleshooting

As AutoStartup runs, it will display a report of its progress in the AutoStartup monitor.

The AutoStartup Monitor

The AutoStartup monitor shows each application configured in AutoStartup, its status and the number of windows that have been re-routed.

Applications can fail to start in AutoStartup for a number of reasons. You can obtain a brief description of an AutoStartup applications state by double clicking the application in the AutoStartup monitor.

AutoStartup Application States

AutoStartup applications can have the following states:

      • Scanning: DesktopPlus has started the application and is scanning the system waiting for windows belonging to the application to be created.

      • Completed: DesktopPlus has finished scanning for windows belonging to the application. No problems were encountered during the scan.

      • DIED: The application stopped before DesktopPlus was able to complete scanning. This can be caused by an execution failure or by an application which launches another, separate process.

      • FAILED: No windows were found in the process. This can be caused by the fact that the application simply doesn't create windows (e.g. background processes and command prompt-based applications) or because the application doesn't create its windows within the AutoStartup inactivity timeout (which can be sent from the Advanced Tab of the Options Dialog)

      • Couldn't Execute: DesktopPlus was unable to execute an AutoStartup shortcut target. This could be due to a problem with the executable itself (such as a missing DLL).

      • Bad shortcut: DesktopPlus was unable to retrieve a valid target from an AutoStartup shortcut. This can occur when there is no target in the shortcut, or the shortcut is of a special type, which cannot be interpreted by DesktopPlus (see the TIP, above).


Window Menu Extension

The Window Menu Extension enables direct access to DesktopPlus' functionality with a single click on any Window.

The Window Menu Extension

  • Invoking the Window Menu Extension

    • From the Window Menu

    • By hotkey

    • By key/mouse click

  • Using the Window Menu Extension

Invoking the Window Menu Extension

The Window Menu Extension can be invoked in a number of ways:

  • From the Window Menu

    The Window Menu is a standard menu that is added to all windows. To activate the Window Menu click the title of a window with the right mouse button. This will display the standard Window Menu, to which a sub menu, "DesktopPlus", has been added by DesktopPlus. This is illustrated below.

  • The Window Menu

    • By hotkey

      In the Hotkeys tab of the Options Dialog, it is possible to define a hotkey combination for invoking the Window Menu Extension. By default this hotkey is ALT-W. To invoke the Window Menu Extension using the hotkey, first make the Window active by clicking on its title and then invoke the hotkey combination (by default hold down ALT and, while holding down ALT, press W). This will display the Window Menu Extension at the position of the mouse pointer.

    • By key/mouse click

      Right-clicking a Windows title bar whilst holding down the CTRL key, will cause the Window Menu Extension to appear at the position of the mouse pointer. For some Windows it will be necessary to left-click the title bar first. For some other Windows, it may be necessary to hold down both the CTRL and SHIFT keys whilst right-clicking in order to invoke the Window Menu Extension.

    Using the Window Menu Extension

    As can be seen in the screenshot, above, the Window Menu Extension offers the following options:

    • Move To Bottom

      Moves the Window to the bottom of the stack of currently visible windows.

    • Always On Top

      Allows the "Always On Top" attribute of the Window to be toggled. When this option is checked, the Window will always appear at the top of the stack of visible Windows. When this option is not checked, Windows position in the stack of visible Windows is determined by the order in which it was activated.

    • Remove from this Desktop

      Remove the Window from this Desktop if copies exist on other Desktops. This can also be achieved through the Arrange Dialog. This option is grayed, if no copies of the Window exist on other Desktops.

    • Roll Up/Down

      Reduce the Window to the size of its title bar, or restore it to its original size. This can also be achieved by the Roll Up hotkey, defined in the Hotkeys tab of the Options Dialog.

    • Hide

      Permanently hides the Window. This option should be used with       caution. A Window hidden in this way cannot be made visible again (unless the process that owns the Window does so).

    • Priority

      Sets the process priority for the process hosting the Window.

      • Real Time

        Give the process "Real Time" priority. This option should be used with caution, as a process with this priority could consume all processor time available on the system, thus rendering Windows unusable.

      • High

        This gives the process a higher than average priority. The process will receive more processor time (if it is capable of using it) than other processes.

      • Normal

        The normal priority for standard processes. Processor time will be shared equally with other processes.

      • Low

        Lower than average priority

    • Terminate

      • Process

        Terminate the process that owns the Window.

      • Thread

        Terminate the thread which created the Window.

      • Window

        Terminate (close) the Window itself.

    • Move to Desktop

      Move the Window to another Virtual Desktop (by selecting it from the sub menu). Windows can also be moved in other ways, as described in Moving and Copying Windows between Desktops.

    • Copy to Desktop

      Copy the Window to another Virtual Desktop (by selecting it from the sub menu). Windows can also be copied in other ways, as described in Moving and Copying Windows between Desktops.

    • Properties

      This option provides sub menus containing a lot of technical information relating to the Window. The following information is contained within the sub menus:

      • File sub menu

        • Image

          This option is located under the File sub menu. This field indicates the image (DLL or application) from which the Window was created.

      • Process sub menu

        The information contained within this sub menu can also be seen in the Arrange Dialog.

        • Process ID

          The ID of the process which owns the Window.

        • Thread ID

          The ID of the thread which spawned the Window.

        • Command Line

          The command line which was used to start the process.

      • Window sub menu

        • ID

          The ID of the Window.

        • Parent ID

          The ID of the Windows parent Window.

        • Owner ID

          The ID of the Window which owns the Window.

        • First Child ID

          The ID of the first child Window of the Window.

        • Next Window

          The ID of the next Window in the chain of active Windows.

        • Class

          The Class (the type) of the Window.

        • Dimensions

          Shows the width, height and x and y coordinates of the Window in pixels.

        • Styles

          Shows the Windows Styles (attributes) which are applied to this Window.


Command-line Interface

www.desktopplus.com

Command-line Interfaces

DesktopPlus can be controlled by means of two command-line interfaces. These are dp.exe, the DesktopPlus main program which can be used to switch to a specific Virtual Desktop and dputil.exe an external program which can be used to move and copy windows between Virtual Desktops.

Both dputil.exe and dp.exe can be found in the DesktopPlus installation directory. dp.exe is dependant on dpHooks.dll, so this file must either be in the path or the working directory when dp.exe is executed.

  • Using the dp.exe command-line interface

  • Using the dputil.exe command-line interface

Using the dp.exe command-line interface

The format for dp.exe commands is as follows:

dp.exe <desktop_number>

For example, to switch to Virtual Desktop 3, the following command could be issued from the command prompt:

dp.exe 3

Using the dputil.exe command-line interface

The format for dputil.exe commands is as follows:

dputil.exe <MOVE|COPY> <Desktop [1-9|ALL]> <Window Title>

For example, to move an instance of Notepad to Desktop 4, use the following command:

dputil.exe move 4 "Notepad - Untitled"


Registering (Purchasing) DesktopPlus

DesktopPlus is home-grown software, it is not a product of a large corporation or multi-national conglomerate. If you use DesktopPlus without registering it or distribute your registration code, you are stilling from the author who has worked hard in his spare time to provide you with this software.

Please register DesktopPlus and support the efforts of its author. Registering DesktopPlus costs $30. You can register DesktopPlus at the following online agents, who take a small commission in return for taking your order.

Qwerks

You can order DesktopPlus at Qwerks by following the links below or, by contacting them by postal mail, telephone or FAX, quoting the Product IDs listed below.

Product Option | Product ID | Price (USD)
Single User License | 964 | 30
10 User License | 1851 | 240
50 User License | 1852 | 1000
100 User License | 1853 | 1800

Qwerks can also be contacted offline:

Telephone FAX Postal Mail
888-282-5887
[+1] 801-444-2837 		[+1] 801-426-5451
Qwerks
Attn: Sales Department
254 North Orem Blvd
Orem, UT 84057
USA

RegNow

You can order DesktopPlus at RegNow by following the links below or, by contacting them by postal mail, telephone or FAX, quoting the Product IDs listed below.

Product Option | Product ID | Price (USD)
Single User License | 1674-1 | 30
10 User License | 1674-2 | 240

RegNow can also be contacted offline:

Telephone FAX Postal Mail
877-353-7297
[+1] 425-392-2294 		888-353-7276
[+1] 425-392-0223
Register Now!
Dept# <PRODUCT ID>
PO Box 1816
Issaquah, WA 98027
USA